
Redmine - Defect #14906

Excessive queries on roles table when show a Issue

2013-09-14 15:26 - Maicon Zucco

Status: Resolved Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.3.2

Description

Hi,

Monitoring the Redmine MySQL queries from Redmine app I found a lot of queries on table roles.

For each member in project is executed a query below (changed the member_id) when I access the page "redmine/issues/xxxx":

SELECT `roles`.* FROM `roles` INNER JOIN `member_roles` ON `roles`.`id` = `member_roles`.`role_id`

 WHERE `member_roles`.`member_id` = 2310

 The problem is that there are about 500 members in the issue project.

It’s possible to otimize this process?

Thanks.

Related issues:

Related to Redmine - Defect #17700: Excessive DB querying when Allow Group Is... New

History

#1 - 2013-09-23 13:51 - Maicon Zucco

- Status changed from New to Resolved

Hi,

I found the "problem". I have selected the option "Allow issue assignment to groups".

After unselected this, the excessive queries was finished.

Thanks.

#2 - 2014-08-17 20:55 - Jan Niggemann (redmine.org team member)

- Related to Defect #17700: Excessive DB querying when Allow Group Issue Assignment is enabled added

#3 - 2015-07-24 08:43 - redmineservices .

This problem also occurs when you have a custom field with user format.
